/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.dbcheck.test;

import junit.framework.Test;
import junit.framework.TestSuite;

import com.daedalos.dbcheck.DatabaseChecker;
import com.daedalos.junit.TestResourceFactory;

/**
 * Test class for with test resource usage.
 *
 * @author Manfred Duchrow, Jens Uwe Pipka
 * @version 1.0, 1.0.1
 */
public class DatabaseCheckerTest extends CommonDatabaseCheckerTest
{
  /**
   * Initialize the new instance with default values.
   */
  public DatabaseCheckerTest( String name )
  {
    super( name ) ;
  } // DatabaseCheckerTest()

  protected DatabaseChecker dbChecker()
  {
  	TestResourceFactory testResourceFactory = TestResourceFactory.current();
    DBCheckTestResource testResource  = null ;

    testResource = (DBCheckTestResource)testResourceFactory.getTestResource( com.daedalos.dbcheck.test.DBCheckTestResource.class ) ;
    return new DatabaseChecker(testResource.getConnection()) ;
  } // dbChecker()

  public static Test suite()
  {
		return new TestSuite( DatabaseCheckerTest.class ) ;
  } // suite()
} // class DatabaseCheckerTest
