/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit;

public abstract class ExtensibleTestCase extends junit.framework.TestCase {
	protected Object resultValue;
	protected Object expectedResult;

	public ExtensibleTestCase() {
		super();
	}
	
	public ExtensibleTestCase(String name) {
		super(name);
	}

	public void setUpForTest() throws Exception {
		setUp();
	}
			
	public void runBare() throws java.lang.Throwable, java.lang.Exception {
		setUpForTest();
		try {
			runTest();
			postProcessTest();
		}
		finally {
			tearDown();
		}
	}
	
	public void runTest() throws Throwable {
		// all we want to do is set the filename instvar here.
		// Nevertheless, we should support real assertions too.
		super.runTest();
		runTestSilently();
	}
	
	public abstract void runTestSilently() throws Exception;
		
	public Object getExpectedResult() {
		return expectedResult;
	}

	public void postProcessTest() {
		this.assertEquals(getExpectedResult(), resultValue);
	}
	
	public void setExpectedResult(Object anExpectedResult) {
		expectedResult = anExpectedResult;
	}
}
