/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit;

public class TestResourceTestCase extends junit.framework.TestCase {
	public TestResourceTestCase(String name) {
		super(name);
	}
	/**
	 * Add a specific test resource to your test case.
	 * @deprecated Due to inconsistent terminology,
	 * this method was renamed to prepareTestResource(String).
	 */
	public void addTestResource(String name) {
		this.prepareTestResource(name);
	}
	public void prepareTestResource(String name) {
		this.startTestResource(name);
	}
	
	/**
	 * Add a specific test resource to your test case.
	 * @deprecated Due to inconsistent terminology,
	 * this method was renamed to closeTestResource(String).
	 */
	public void removeTestResource(String name) {
		this.closeTestResource(name);
	}
	public void closeTestResource(String name) {
		this.stopTestResource(name);
	}	
	
	private void startTestResource(String name) {
	  	TestResourceFactory testResourceFactory = TestResourceFactory.current();
	  	testResourceFactory.registerNewTestResource(name, name);
		testResourceFactory.startTestResource(name);
	}
	private void stopTestResource(String name) {
	  	TestResourceFactory testResourceFactory = TestResourceFactory.current();		
		testResourceFactory.stopTestResource(name);
	}
}