/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit.gui;

import javax.swing.*;

/**
 *
 * @author  jensuwe
 */
public class TRRegisterTestResource extends javax.swing.JDialog {
	
	private String trClassname;	
	private String trDescription;    

    /** Creates new form TRRegister */
    public TRRegisterTestResource(java.awt.Frame parent, boolean modal) {
        super(parent, modal);
        initComponents();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents() {//GEN-BEGIN:initComponents
        mainPanel = new javax.swing.JPanel();
        trClassLabel = new javax.swing.JLabel();
        trClassTextField = new javax.swing.JTextField();
        collectButton = new javax.swing.JButton();
        trNameLabel = new javax.swing.JLabel();
        trNameTextField = new javax.swing.JTextField();
        okButton = new javax.swing.JButton();
        cancelButton = new javax.swing.JButton();

        getContentPane().setLayout(new java.awt.BorderLayout(5, 5));

        setTitle("Register Test Resource");
        setName("registerDialog");
        setResizable(false);
        addWindowListener(new java.awt.event.WindowAdapter() {
            public void windowClosing(java.awt.event.WindowEvent evt) {
                closeDialog(evt);
            }
        });

        mainPanel.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.RIGHT));

        trClassLabel.setText("Class:");
        mainPanel.add(trClassLabel);

        trClassTextField.setColumns(30);
        mainPanel.add(trClassTextField);

        collectButton.setText("...");
        collectButton.setPreferredSize(new java.awt.Dimension(40, 20));
        collectButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                collectButtonActionPerformed(evt);
            }
        });

        mainPanel.add(collectButton);

        trNameLabel.setText("Name:");
        mainPanel.add(trNameLabel);

        trNameTextField.setColumns(34);
        mainPanel.add(trNameTextField);

        okButton.setText("OK");
        okButton.setPreferredSize(new java.awt.Dimension(100, 27));
        okButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                okButtonActionPerformed(evt);
            }
        });

        mainPanel.add(okButton);

        cancelButton.setText("Cancel");
        cancelButton.setPreferredSize(new java.awt.Dimension(100, 27));
        cancelButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cancelButtonActionPerformed(evt);
            }
        });

        mainPanel.add(cancelButton);

        getContentPane().add(mainPanel, java.awt.BorderLayout.CENTER);

        pack();
        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setSize(new java.awt.Dimension(430, 120));
        setLocation((screenSize.width-430)/2,(screenSize.height-120)/2);
    }//GEN-END:initComponents

    private void collectButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_collectButtonActionPerformed
        this.browseTestResourceClasses();
    }//GEN-LAST:event_collectButtonActionPerformed

    private void okButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_okButtonActionPerformed
	this.registerNewTestResource();
	this.dispose();
    }//GEN-LAST:event_okButtonActionPerformed

    private void cancelButtonActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cancelButtonActionPerformed
        this.setVisible(false);
        this.dispose();
    }//GEN-LAST:event_cancelButtonActionPerformed

    /** Closes the dialog */
    private void closeDialog(java.awt.event.WindowEvent evt) {//GEN-FIRST:event_closeDialog
        setVisible(false);
        dispose();
    }//GEN-LAST:event_closeDialog

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        new TRRegisterTestResource(new javax.swing.JFrame(), true).show();
    }


    protected void registerNewTestResource() {
		trDescription = trNameTextField.getText();	
		trClassname = trClassTextField.getText();
    }
    
    public void browseTestResourceClasses() {
            TRSelector selector = new TRSelector(new javax.swing.JFrame(), new TRCollector());
            if (selector.isEmpty()) {
                    JOptionPane.showMessageDialog(new javax.swing.JFrame(), "No Test Resources found.\nCheck that the configured \'TestCollector\' is supported on this platform.");
                    return;
            }
            selector.show();
            String className= selector.getSelectedItem();
            if (className != null)
                    trClassTextField.setText(className);
    }
    
    public String getTRClassname() {
    	return trClassname;
    }
    
	public String getTRDescription() {
		return trDescription;
	}
    	
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel trNameLabel;
    private javax.swing.JTextField trNameTextField;
    private javax.swing.JLabel trClassLabel;
    private javax.swing.JButton collectButton;
    private javax.swing.JButton okButton;
    private javax.swing.JButton cancelButton;
    private javax.swing.JTextField trClassTextField;
    private javax.swing.JPanel mainPanel;
    // End of variables declaration//GEN-END:variables

}