/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit.gui;

import java.awt.event.*;
import javax.swing.*;
import com.daedalos.junit.*;

public class TRTestRunner extends junit.swingui.TestRunner {
	private TRBrowser fTestResourcesBrowser;
	public TRTestRunner() {
		super();
	}
	private void about() {
		TRTestRunnerAboutDialog about= new TRTestRunnerAboutDialog(fFrame); 
		about.show();
	}
	protected JMenu createJUnitMenu() {
		JMenu menu= new JMenu("JUnit");
		menu.setMnemonic('J');
		JMenuItem mi1= new JMenuItem("About...");
		mi1.addActionListener(
		    new ActionListener() {
		        public void actionPerformed(ActionEvent event) {
		            about();
		        }
		    }
		);
		mi1.setMnemonic('A');
		menu.add(mi1);

		/*** Begin: TestResource Support ***/
		menu.addSeparator();		
		JMenuItem mi1a= new JMenuItem("TestResource Browser");
		mi1a.addActionListener(
		    new ActionListener() {
		        public void actionPerformed(ActionEvent event) {
		            showTestResourceBrowser();
		        }
		    }
		);
		mi1a.setMnemonic('T');
		menu.add(mi1a);
		/*** End: TestResource Support ***/
		
		menu.addSeparator();
		JMenuItem mi2= new JMenuItem("Exit");
		mi2.addActionListener(
		    new ActionListener() {
		        public void actionPerformed(ActionEvent event) {
		            terminate();
		        }
		    }
		);
		mi2.setMnemonic('x');
		menu.add(mi2);

		return menu;
	}
	protected JFrame createUI(String suiteName) {
		fTestResourcesBrowser = new TRBrowser();
		return super.createUI(suiteName);	
	}
	public static void main(String[] args) {
		new TRTestRunner().start(args);
	}
	private void showTestResourceBrowser() {
		fTestResourcesBrowser.show();
	}
	public void terminate() {
	  	TestResourceFactory testResourceFactory = TestResourceFactory.current();		
		testResourceFactory.stopAllTestResources();
		super.terminate();
	}
}
