/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.junit.tests;

import com.daedalos.junit.ExternalProgramTestCase;

public class ExampleExternalProgramTest extends ExternalProgramTestCase {
	
	protected ClassLoader loader;
	
	public ExampleExternalProgramTest(String name) {
		super(name);
	}
	
	protected void setUp() {
		loader = Thread.currentThread().getContextClassLoader();
	}
	
	public void testBadReturn() {
		String command = getCommandLine("scripts/badtest.bat");
		setCommand(command);
		setExpectedResult(1);
	}

	public void testGoodReturn() {
		String command = getCommandLine("scripts/goodtest.bat");
		setCommand(command);
		setOutputFilename("GoodReturnOutput.txt");
		setExpectedResult(0);
	}

	protected String getCommandLine(String location) {
		return loader.getResource(location).getFile().substring(1);
	}

}
