/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.util;

import java.io.FileOutputStream;
import java.io.IOException;

public class ExternalProgramSavingOutput extends ExternalProgram {

	protected String outputFilename;

	public ExternalProgramSavingOutput(String filename, String outputFilename) {
		super(filename);
		this.outputFilename = outputFilename;
	}
	
	public int run() throws IOException, InterruptedException {
		java.lang.Runtime runtime = java.lang.Runtime.getRuntime();
		Process aProcess = runtime.exec(this.command);
		
		FileOutputStream fileOutputStream 
			= new FileOutputStream(outputFilename);
		StreamDumper outputStreamDumper 
			= new StreamDumper(aProcess.getInputStream(), fileOutputStream);
		outputStreamDumper.start(); 
		
		aProcess.waitFor();		
		int exitValue = aProcess.exitValue();
		
		fileOutputStream.flush(); 
		fileOutputStream.close(); 
		
		return exitValue;
	}
}
