/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.util;

import java.io.FileOutputStream;
import java.io.IOException;

public class ExternalProgrammSavingOutputAndErrorOut
	extends ExternalProgramSavingOutput {

	protected String errorOutFilename;

	public ExternalProgrammSavingOutputAndErrorOut(
		String filename,
		String outputFilename,
		String errorOutFilename) {
		super(filename, outputFilename);
		this.errorOutFilename = errorOutFilename;
	}

	public int run() throws IOException, InterruptedException {
		Runtime runtime = Runtime.getRuntime();
		Process aProcess = runtime.exec(this.command);

		FileOutputStream fileOutputStream = new FileOutputStream(outputFilename);
		StreamDumper outputStreamDumper =
			new StreamDumper(aProcess.getInputStream(), fileOutputStream);
		outputStreamDumper.start();

		FileOutputStream errorOutputStream = new FileOutputStream(errorOutFilename);
		StreamDumper errorOutputStreamDumper =
			new StreamDumper(aProcess.getErrorStream(), errorOutputStream);
		errorOutputStreamDumper.start();

		aProcess.waitFor();
		int exitValue = aProcess.exitValue();

		fileOutputStream.flush();
		fileOutputStream.close();

		errorOutputStream.flush();
		errorOutputStream.close();

		return exitValue;
	}
}