/*********************************************************
 * JUnit Extensions
 * Version 1.5.0
 *
 *
 * (C)opyright 2001-2003 Daedalos Consulting GmbH, Witten
 *
 * Author: Jens Uwe Pipka, Daedalos Consulting GmbH
 *      mailto:jens-uwe.pipka@daedalos.com
 *      http://www.daedalos.com/DE/djux
 *
 *********************************************************/
package com.daedalos.util;

import java.io.*;

public class StreamDumper extends Thread {

	protected java.io.InputStream inputStream;
	protected java.io.OutputStream outputStream;

	public StreamDumper(InputStream anInputStream, OutputStream anOutputStream) {
		this.inputStream = anInputStream;
		this.outputStream = anOutputStream;
	}

	public void run() {
		try {
			PrintWriter printWriter = new PrintWriter(outputStream);
			InputStreamReader inputStreamReader = new InputStreamReader(inputStream);
			BufferedReader bufferedReader = new BufferedReader(inputStreamReader);
			String nextLine = null;
			while ((nextLine = bufferedReader.readLine()) != null) {
				printWriter.println(nextLine);
			}
			printWriter.flush();
		} catch (IOException ioException) {
			ioException.printStackTrace();
		}
	}
}